Bug 1414977 - [RFE] Director support of upgrade from Ceph 2.x to Ceph 3.0
Summary: [RFE] Director support of upgrade from Ceph 2.x to Ceph 3.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Giulio Fidente
QA Contact: Marius Cornea
URL:
Whiteboard:
: 1414978 1432561 (view as bug list)
Depends On: 1571901 1574424
Blocks: 1413723 1442136 1386911 1414974
TreeView+ depends on / blocked
 
Reported: 2017-01-19 21:16 UTC by jomurphy
Modified: 2018-06-27 13:31 UTC (History)
19 users (show)

Fixed In Version: openstack-tripleo-common-8.3.1-0.20180123050219.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:29:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 510108 0 None None None 2017-11-15 16:57:12 UTC
OpenStack gerrit 518963 0 None None None 2017-11-15 16:57:56 UTC
Red Hat Product Errata RHEA-2018:2086 0 None None None 2018-06-27 13:31:13 UTC

Description jomurphy 2017-01-19 21:16:19 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Red Hat Bugzilla Rules Engine 2017-03-21 13:12:29 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 2 Red Hat Bugzilla Rules Engine 2017-03-21 13:13:05 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 3 Jeff Brown 2017-03-21 13:14:56 UTC
We need to support Ceph 2.3 for Pike as Ceph 3.0 will not be ready.

Comment 6 Federico Lucifredi 2017-04-26 23:20:43 UTC
Ceph 3.0 will be ready for Pike/OSP12 development, and as such no upgrade of internal OSP Ceph images from 2.x will be needed.

Support for external Ceph clusters running 2.x may be necessary (this is covered by the RHCS product already). It will also be necessary to upgrade internal OSPd-deployed Ceph 2.x when upgrading an existing cluster from OSP 11 to 12.

Comment 7 Federico Lucifredi 2017-04-26 23:31:29 UTC
*** Bug 1432561 has been marked as a duplicate of this bug. ***

Comment 11 jomurphy 2017-08-23 15:04:54 UTC
*** Bug 1414978 has been marked as a duplicate of this bug. ***

Comment 12 seb 2017-08-24 09:49:33 UTC
The migration from non-container to container is fixed here: https://github.com/ceph/ceph-ansible/pull/1788

There is an update playbook that we need to test.

Comment 25 errata-xmlrpc 2018-06-27 13:29:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.